/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class PlayerMainPanelVM : FguiViewModel
    {
        public CommonItemBaseView Weapon { get; private set; }
        public CommonItemBaseView Clothes { get; private set; }
        public CommonItemBaseView Helmet { get; private set; }
        public CommonItemBaseView Hand { get; private set; }
        public CommonItemBaseView Boots { get; private set; }
        public CommonItemBaseView Pants { get; private set; }
        public GLoader TitleIcon { get; private set; }
        public GLoader3D PlayerSpine { get; private set; }
        public GProgressBar ExpBar { get; private set; }
        public GTextField NameLabel { get; private set; }
        public GTextField LvLabl { get; private set; }
        public GGroup TopUI { get; private set; }
        public GTextField HpLabel { get; private set; }
        public GTextField AtkLabel { get; private set; }
        public GTextField DefLabel { get; private set; }
        public GTextField AtkSpeedLabel { get; private set; }
        public GButton AttrInfoBtn { get; private set; }
        public GTextField SkillNameLabl { get; private set; }
        public GTextField SkillDescLabl { get; private set; }
        public GButton SkillBtn { get; private set; }
        public GButton ChangeBtn { get; private set; }
        public GButton MountBtn { get; private set; }
        public GButton ArtifactBtn { get; private set; }
        public GButton ContractBtn { get; private set; }
        public GButton JewelryBtn { get; private set; }
        public GButton NotOpenBtn1 { get; private set; }
        public GButton NotOpenBtn2 { get; private set; }
        public GGroup BottomUI { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            Weapon = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Weapon").asCom), true);
            Clothes = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Clothes").asCom), true);
            Helmet = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Helmet").asCom), true);
            Hand = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Hand").asCom), true);
            Boots = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Boots").asCom), true);
            Pants = adapter.CreateNested<CommonItemBaseView>(new FguiNested(panel.GetChild("Pants").asCom), true);
            TitleIcon = panel.GetChild("TitleIcon") as GLoader;
            PlayerSpine = panel.GetChild("PlayerSpine") as GLoader3D;
            ExpBar = panel.GetChild("ExpBar") as GProgressBar;
            NameLabel = panel.GetChild("NameLabel") as GTextField;
            LvLabl = panel.GetChild("LvLabl") as GTextField;
            TopUI = panel.GetChild("topUI") as GGroup;
            HpLabel = panel.GetChild("HpLabel") as GTextField;
            AtkLabel = panel.GetChild("AtkLabel") as GTextField;
            DefLabel = panel.GetChild("DefLabel") as GTextField;
            AtkSpeedLabel = panel.GetChild("AtkSpeedLabel") as GTextField;
            AttrInfoBtn = panel.GetChild("AttrInfoBtn") as GButton;
            SkillNameLabl = panel.GetChild("SkillNameLabl") as GTextField;
            SkillDescLabl = panel.GetChild("SkillDescLabl") as GTextField;
            SkillBtn = panel.GetChild("SkillBtn") as GButton;
            ChangeBtn = panel.GetChild("ChangeBtn") as GButton;
            MountBtn = panel.GetChild("MountBtn") as GButton;
            ArtifactBtn = panel.GetChild("ArtifactBtn") as GButton;
            ContractBtn = panel.GetChild("ContractBtn") as GButton;
            JewelryBtn = panel.GetChild("JewelryBtn") as GButton;
            NotOpenBtn1 = panel.GetChild("NotOpenBtn1") as GButton;
            NotOpenBtn2 = panel.GetChild("NotOpenBtn2") as GButton;
            BottomUI = panel.GetChild("bottomUI") as GGroup;

        }
    }
}